Subject: Ticket Assigned - Returns
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Mon, 01 Feb 2021 03:42:52 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I have been waiting for someone to pick up the return package for over 20 days and called 5 times already to follow up and still no one picked it up. 

I get the same response over and over again and still no one picks it up 

This is unacceptable and very unprofessional please send someone urgently to pick up and return this package. I don't understand what's taking so long  just to pickup this package.

Order no. 9627505659 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2041358